Bug 142474 - "time" command does not function according to man page
"time" command does not function according to man page
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: time (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 17:14 EST by Mike Reeves
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-12 21:29:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Reeves 2004-12-09 17:14:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; IE 6.0 
SP1 (FID r3.0); .NET CLR 1.1.4322)

Description of problem:
TIME
(1)                                                                
TIME(1)

NAME
       time - time a simple command or give resource usage

SYNOPSIS
       time [options] command [arguments...]
...

But when I use an option described under "GNU OPTIONS", it gives the 
following response:

[root@ldal9001 oss]# time -o testfile ps -ef
-bash: -o: command not found

real    0m0.013s
user    0m0.010s
sys     0m0.010s

Here is the shell version:

[root@ldal9001 oss]# bash --version
GNU bash, version 2.05b.0(1)-release (s390-redhat-linux-gnu)
Copyright (C) 2002 Free Software Foundation, Inc.

It would be very nice if "time" functioned as documented in the man 
page. Can this be fixed?

Version-Release number of selected component (if applicable):
time-1.7-23

How reproducible:
Always

Steps to Reproduce:
1.time -o testfile ps -ef
    

Actual Results:  [root@ldal9001 oss]# time -o testfile ps -ef
-bash: -o: command not found

real    0m0.013s
user    0m0.010s
sys     0m0.010s

Expected Results:  the following should be written to file "testfile"

real    0m0.013s
user    0m0.010s
sys     0m0.010s


Additional info:
Comment 1 Florian La Roche 2004-12-12 21:29:04 EST
One is the /usr/bin/time application, the other is the bash builtin
called time. "help time" for a short intro or the "man bash" manpage
for more info.

Note You need to log in before you can comment on or make changes to this bug.